# Set Shaking Threshold

You can use this API to adjust the shaking sensitivity. This will allow the device to show the invocation with weaker or stronger shakes in case the shake invocation method is used. The threshold takes **floats** on iOS and **integers** on Android.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
BugReporting.shakingThresholdForiPhone = 3.0;
BugReporting.shakingThresholdForiPad = 1.0;
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQBugReporting.shakingThresholdForiPhone = 3.0;
LCQBugReporting.shakingThresholdForiPad = 1.0;
```

{% endtab %}

{% tab title="And - Java" %}

```java
BugReporting.setShakingThreshold(800);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
BugReporting.setShakingThreshold(800)
```

{% endtab %}

{% tab title="RN" %}

```javascript
//iOS
BugReporting.setShakingThresholdForiPhone(iPhoneShakingThreshold);
BugReporting.setShakingThresholdForiPad(iPadShakingThreshold);

//Android
BugReporting.setShakingThresholdForAndroid(androidThreshold);
```

{% endtab %}

{% tab title="Flutter" %}

```dart
// iOS
BugReporting.setShakingThresholdForiPhone(3.0);
BugReporting.setShakingThresholdForiPad(1.0);
// Android
BugReporting.setShakingThresholdForAndroid(800);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/invocation/bug-reporting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
